Package fr.gouv.vitam.functional.administration.common

# Class IngestContract

java.lang.Object
org.bson.Document
fr.gouv.vitam.common.database.server.mongodb.VitamDocument<IngestContract>
fr.gouv.vitam.functional.administration.common.IngestContract

All Implemented Interfaces:
  `Serializable`, `Map<String,Object>`, `org.bson.conversions.Bson`

public class IngestContract extends VitamDocument<IngestContract>
Defines an Ingest contract model for SIP transfer control. It's an implementation of the SEDA specification and NF Z44022 MEDONA concerning the communication between a TransferringAgency and an ArchivalAgency.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACTIVATIONDATE`
  the activation date of contract
  `static final String`
  `ARCHIVEPROFILES`
  Archive profile
  `static final String`
  `CHECKPARENTLINK`
  check parent link status (ACTIVE / INACTIVE)
  `static final String`
  `CREATIONDATE`
  the creatation date of contract
  `static final String`
  `DEACTIVATIONDATE`
  the desactication date of contract
  `static final String`
  `DESCRIPTION`
  the contract description
  `static final String`
  `EVERYDATAOBJECTVERSION`
  the everydataobjectversion false by default
  `static final String`
  `EVERYFORMATTYPE`
  the EveryFormatType true by default
  `static final String`
  `FORMATUNIDENTIFIEDAUTHORIZED`
  the FormatUnidentifiedAuthorized false by default
  `static final String`
  `IDENTIFIER`
  the contract id
  `static final String`
  `LAST_UPDATE`
  the last update of contract
  `static final String`
  `MANAGEMENTCONTRACTID`
  the identifier of a management contract
  `static final String`
  `MASTERMANDATORY`
  the MasterMandatory true by default
  `static final String`
  `NAME`
  the contract name
  `static final String`
  `STATUS`
  the contract status

  ### Fields inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `ES_FILTER_OUT, ID, IMPLEMENTATIONVERSION, SCORE, SEDAVERSION, TENANT_ID, VERSION`

  ### Fields inherited from interface org.bson.conversions.Bson

  `DEFAULT_CODEC_REGISTRY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IngestContract()`
  Empty Constructor
  `IngestContract(com.fasterxml.jackson.databind.JsonNode content)`
  `IngestContract(Integer tenantId)`
  `IngestContract(String content)`
  `IngestContract(org.bson.Document document)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActivationdate()`
  `Set<String>`
  `getArchiveProfiles()`
  `IngestContractCheckState`
  `getCheckParentLink()`
  Get the contract check ParentLink status
  `String`
  `getCreationdate()`
  `String`
  `getDeactivationdate()`
  `String`
  `getDescription()`
  Get the contract description
  `Boolean`
  `getEveryDataObjectVersion()`
  `Boolean`
  `getEveryFormatType()`
  `Boolean`
  `getFormatUnidentifiedAuthorized()`
  `String`
  `getLastupdate()`
  `String`
  `getManagementContractId()`
  `Boolean`
  `getMasterMandatory()`
  `String`
  `getName()`
  Name of the contract
  `ActivationStatus`
  `getStatus()`
  Get the contract status
  `VitamDocument<IngestContract>`
  `newInstance(com.fasterxml.jackson.databind.JsonNode content)`
  Make a new instance of the document with the given json
  `IngestContract`
  `setActivationdate(String activationdate)`
  `IngestContract`
  `setArchiveProfiles(Set<String> archiveProfiles)`
  Set the collection of archive profiles
  `IngestContract`
  `setCheckParentLink(IngestContractCheckState checkParentLink)`
  Set or change the contract status
  `IngestContract`
  `setCreationdate(String creationdate)`
  `IngestContract`
  `setDeactivationdate(String deactivationdate)`
  `IngestContract`
  `setDescription(String description)`
  Set or change the contract description
  `IngestContract`
  `setEveryDataObjectVersion(boolean everyDataObjectVersion)`
  `IngestContract`
  `setEveryFormatType(boolean everyFormatType)`
  `IngestContract`
  `setFormatUnidentifiedAuthorized(boolean formatUnidentifiedAuthorized)`
  `IngestContract`
  `setId(String id)`
  `IngestContract`
  `setLastupdate(String lastupdate)`
  `IngestContract`
  `setManagementContractId(String managementContractId)`
  `IngestContract`
  `setMasterMandatory(boolean masterMandatory)`
  `IngestContract`
  `setName(String name)`
  Set or change the contract name
  `IngestContract`
  `setStatus(ActivationStatus status)`
  Set or change the contract status

  ### Methods inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `checkId, getConcernedDiffLines, getId, getOriginalDiffLines, getTenantId, getUnifiedDiff, getVersion, toString, toStringDirect`

  ### Methods inherited from class org.bson.Document

  `append, clear, containsKey, containsValue, entrySet, equals, get, get, get, getBoolean, getBoolean, getDate, getDouble, getEmbedded, getEmbedded, getInteger, getInteger, getList, getList, getLong, getObjectId, getString, hashCode, isEmpty, keySet, parse, parse, put, putAll, remove, size, toBsonDocument, toJson, toJson, toJson, toJson, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bson.conversions.Bson

  `toBsonDocument`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Field Details

  - ### IDENTIFIER

    public static final String IDENTIFIER
    the contract id
    See Also:
      - Constant Field Values

  - ### NAME

    public static final String NAME
    the contract name
    See Also:
      - Constant Field Values

  - ### DESCRIPTION

    public static final String DESCRIPTION
    the contract description
    See Also:
      - Constant Field Values

  - ### STATUS

    public static final String STATUS
    the contract status
    See Also:
      - Constant Field Values

  - ### CHECKPARENTLINK

    public static final String CHECKPARENTLINK
    check parent link status (ACTIVE / INACTIVE)
    See Also:
      - Constant Field Values

  - ### ARCHIVEPROFILES

    public static final String ARCHIVEPROFILES
    Archive profile
    See Also:
      - Constant Field Values

  - ### CREATIONDATE

    public static final String CREATIONDATE
    the creatation date of contract
    See Also:
      - Constant Field Values

  - ### LAST_UPDATE

    public static final String LAST_UPDATE
    the last update of contract
    See Also:
      - Constant Field Values

  - ### ACTIVATIONDATE

    public static final String ACTIVATIONDATE
    the activation date of contract
    See Also:
      - Constant Field Values

  - ### DEACTIVATIONDATE

    public static final String DEACTIVATIONDATE
    the desactication date of contract
    See Also:
      - Constant Field Values

  - ### EVERYDATAOBJECTVERSION

    public static final String EVERYDATAOBJECTVERSION
    the everydataobjectversion false by default
    See Also:
      - Constant Field Values

  - ### MASTERMANDATORY

    public static final String MASTERMANDATORY
    the MasterMandatory true by default
    See Also:
      - Constant Field Values

  - ### FORMATUNIDENTIFIEDAUTHORIZED

    public static final String FORMATUNIDENTIFIEDAUTHORIZED
    the FormatUnidentifiedAuthorized false by default
    See Also:
      - Constant Field Values

  - ### EVERYFORMATTYPE

    public static final String EVERYFORMATTYPE
    the EveryFormatType true by default
    See Also:
      - Constant Field Values

  - ### MANAGEMENTCONTRACTID

    public static final String MANAGEMENTCONTRACTID
    the identifier of a management contract
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### IngestContract

    public IngestContract()
    Empty Constructor

  - ### IngestContract

    public IngestContract(org.bson.Document document)
    Constructor
    Parameters:
      `document` - data in format Document to create contact

  - ### IngestContract

    public IngestContract(com.fasterxml.jackson.databind.JsonNode content)
    Parameters:
      `content` - in format JsonNode to create contract

  - ### IngestContract

    public IngestContract(String content)
    Parameters:
      `content` - in format String to create contract

  - ### IngestContract

    public IngestContract(Integer tenantId)
    Parameters:
      `tenantId` - the working tenant

- ## Method Details

  - ### setId

    public IngestContract setId(String id)
    Parameters:
      `id` - the id of ingest contract
    Returns:
      AccessionRegisterDetail

  - ### newInstance

    public VitamDocument<IngestContract> newInstance(com.fasterxml.jackson.databind.JsonNode content)
    Description copied from class: `VitamDocument`
    Make a new instance of the document with the given json
    Specified by:
      `newInstance` in class `VitamDocument<IngestContract>`
    Parameters:
      `content` - document structure as json
    Returns:
      new document with the json as content

  - ### getName

    public String getName()
    Name of the contract
    Returns:
      name of contract

  - ### setName

    public IngestContract setName(String name)
    Set or change the contract name
    Parameters:
      `name` - to set
    Returns:
      this

  - ### getDescription

    public String getDescription()
    Get the contract description
    Returns:
      this

  - ### setDescription

    public IngestContract setDescription(String description)
    Set or change the contract description
    Parameters:
      `description` - to set to contact
    Returns:
      this

  - ### getStatus

    public ActivationStatus getStatus()
    Get the contract status
    Returns:
      status of ingest contact

  - ### setStatus

    public IngestContract setStatus(ActivationStatus status)
    Set or change the contract status
    Parameters:
      `status` - to set
    Returns:
      this

  - ### setCheckParentLink

    public IngestContract setCheckParentLink(IngestContractCheckState checkParentLink)
    Set or change the contract status
    Parameters:
      `checkParentLink` - to set
    Returns:
      this

  - ### getCheckParentLink

    public IngestContractCheckState getCheckParentLink()
    Get the contract check ParentLink status
    Returns:
      status of checkParentLink for this ingest contact

  - ### getArchiveProfiles

    public Set<String> getArchiveProfiles()
    Returns:
      collection of archive profiles

  - ### setArchiveProfiles

    public IngestContract setArchiveProfiles(Set<String> archiveProfiles)
    Set the collection of archive profiles
    Parameters:
      `archiveProfiles` -
    Returns:
      this

  - ### getCreationdate

    public String getCreationdate()
    Returns:
      creation date of contract

  - ### setCreationdate

    public IngestContract setCreationdate(String creationdate)
    Parameters:
      `creationdate` - to set
    Returns:
      this

  - ### getLastupdate

    public String getLastupdate()
    Returns:
      last update of contract

  - ### setLastupdate

    public IngestContract setLastupdate(String lastupdate)
    Parameters:
      `lastupdate` - to set
    Returns:
      this

  - ### getActivationdate

    public String getActivationdate()
    Returns:
      activation date of contract

  - ### setActivationdate

    public IngestContract setActivationdate(String activationdate)
    Parameters:
      `activationdate` - to set
    Returns:
      this

  - ### getDeactivationdate

    public String getDeactivationdate()
    Returns:
      desactivation date of contract

  - ### setDeactivationdate

    public IngestContract setDeactivationdate(String deactivationdate)
    Parameters:
      `deactivationdate` - to set
    Returns:
      this

  - ### getEveryDataObjectVersion

    public Boolean getEveryDataObjectVersion()

  - ### setEveryDataObjectVersion

    public IngestContract setEveryDataObjectVersion(boolean everyDataObjectVersion)

  - ### getMasterMandatory

    public Boolean getMasterMandatory()

  - ### setMasterMandatory

    public IngestContract setMasterMandatory(boolean masterMandatory)

  - ### getEveryFormatType

    public Boolean getEveryFormatType()

  - ### setEveryFormatType

    public IngestContract setEveryFormatType(boolean everyFormatType)

  - ### getFormatUnidentifiedAuthorized

    public Boolean getFormatUnidentifiedAuthorized()

  - ### setFormatUnidentifiedAuthorized

    public IngestContract setFormatUnidentifiedAuthorized(boolean formatUnidentifiedAuthorized)

  - ### setManagementContractId

    public IngestContract setManagementContractId(String managementContractId)

  - ### getManagementContractId

    public String getManagementContractId()